﻿
@model GamePlayViewModel

<div class="text-center">
    <h1 class="display-4">Play Game</h1>
    <p>@Model.player.PlayerName is playing</p>
</div>




<div class="container" style=" margin: auto;">

    <div class="row" style=" margin: auto; ">
        <div class="col-md "></div>
        <div class="col-md text-center">

            <form asp-action="PlayGameMove" method="post" role="form">

                <input asp-for="id" value="@Model.player.GamePlayerID" type="hidden" />
                <input asp-for="roomid" value="@Model.North" type="hidden" />
                <input asp-for="path" value="N" type="hidden" />
                <input type="submit" class="btn btn-info" value="-North-" style="border: solid;margin: auto;" />
            </form>
           

        </div>
        <div class="col-md"></div>
    </div>
   

    <div class="row" style=" margin: auto; ">
        <div class="col-md text-right">

            <form asp-action="PlayGameMove" method="post" role="form">

                <input asp-for="id" value="@Model.player.GamePlayerID" type="hidden" />
                <input asp-for="roomid" value="@Model.West" type="hidden" />
                <input asp-for="path" value="W" type="hidden" />
                <input type="submit" class="btn btn-info" value="-West-" style="border: solid;margin: auto;" />
            </form>

         

        </div>
        <div class="col-md text-center">
            <div class="card text-center" style="border-style:solid">
                <div class="card-header; text-sm-center">
                    @Model.RoomID - @Model.RoomName
                </div>
                <div class="card-body">
                    <h5 class="card-title"></h5>
                    <p class="card-text">@Model.RoomObject</p>

                </div>

            </div>
        </div>
        <div class="col-md text-left">



            <form asp-action="PlayGameMove" method="post" role="form">

                <input asp-for="id" value="@Model.player.GamePlayerID" type="hidden" />
                <input asp-for="roomid" value="@Model.East" type="hidden" />
                <input asp-for="path" value="E" type="hidden" />
                <input type="submit" class="btn btn-info" value="-East-" style="border: solid;margin: auto;" />
            </form>

        </div>

    </div>

    <div class="row" style=" margin: auto;">
        <div class="col-md"></div>


        <form  asp-action="PlayGameMove" method="post" role="form" >

            <input asp-for="id" value="@Model.player.GamePlayerID" type="hidden" />
            <input asp-for="roomid" value="@Model.South" type="hidden" />
            <input asp-for="path" value="S" type="hidden" />
            <input type="submit" class="btn btn-info" value="-South-" style="border: solid;margin: auto;" />
        </form>

        <div class="col-md"></div>
    </div>
    </div>

<div class="container" style=" ">
    <h3 class="text-info">Counters</h3>
    
    <div class="row" style=" margin: auto;">
        <div class="col-md">Walls Hit:</div>
        <div class="col-md text-center">@Model.player.CurrentHits of @Model.player.CurrentMapMaxHits</div>
        <div class="col-md"></div>
    </div>


    <div class="row" style=" margin: auto;">
        <div class="col-md">Objects Collected:</div>
        <div class="col-md text-center">@Model.player.CurrentObjects of @Model.player.CurrentMapMaxObjects</div>
        <div class="col-md"></div>
    </div>

</div>

<div class="container" style=" ">
    <h3 class="text-info">Trackers</h3>
    
    <div class="row" style=" margin-top:1rem;">
        <div class="col-sm-4" >Looking For:</div>
        <div class="col-md text-left" >@Model.player.ObjectsNeeded</div>
       
    </div>

    <div class="row" style=" margin-top:1rem;">
        <div class="col-sm-4">Inventory:</div>
        <div class="col-md text-left">@Model.player.ObjectsCollected</div>
        
    </div>

    <div class="row" style=" margin-top:1rem;">
        <div class="col-sm-4">Paths:</div>
        <div class="col-md text-left">@Model.player.PathTracker</div>
        
    </div>
</div>